
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>API网关配合智能DNS实现海内外用户就近接入 / iVAN</title>

    <meta name="description" content="API网关配合智能DNS实现海内外用户就近接入 随着API经济的流行,一些受欢迎的API业务的调用者会越来越多,目前API网关上的Provider基本上只是在离其办公地点近的Region部署一套API,比如驻扎在北京的Provider,只是在阿里云的北京Region部署了一套自己的API,而他的海外用户调用这套API在网络上的耗时就会相对比较多. 目前API网关已经在国内外都部署了多个节点,对于海外用户的就近接入的技术方案创造良好的条件.目前API网关在国内的杭州,北京,上海 ,深圳,青岛,五个Region都部署了节点. API网关在国外的新">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">API网关配合智能DNS实现海内外用户就近接入</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>随着API经济的流行，一些受欢迎的API业务的调用者会越来越多，目前API网关上的Provider基本上只是在离其办公地点近的Region部署一套API，比如驻扎在北京的Provider，只是在阿里云的北京Region部署了一套自己的API，而他的海外用户调用这套API在网络上的耗时就会相对比较多。</p>
<p>目前API网关已经在国内外都部署了多个节点，对于海外用户的就近接入的技术方案创造良好的条件。目前API网关在国内的杭州，北京，上海 ，深圳，青岛，五个Region都部署了节点。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA3MmQ4ZTVlNzdmOTM1N2RhZDJkYTcxYjA0OGZlMjhkZDY1OWRhZDIucG5n.jpg"></p>
<p>API网关在国外的新加坡Region已经部署上线了节点，业务在国外的Provider可以选在使用新加坡的API网关给用户提供服务。API网关的美国Region的部署也已经在部署的计划中，明年大家就能用上了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzkxZjA3Nzc5ZWMxNTY1Y2I1ZDkyNWZiNzkzNTc1NTFkODBmODRiYjEucG5n.jpg"></p>
<p>下面我们聊一下如何配合智能DNS在API网关上合理地实现API的就近接入。首先我们来看一下就近接入的系统架构图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzYxZjQwOGVmZDUzOWM0MTdlZmM0MWI1NDJmYWFlOWRkNTRlZDBlZDIucG5n.jpg"></p>
<p>我们来总结下这套架构的特点：</p>
<p>1.Provider在国内外都部署一套应用服务，并在API网关将API暴露出来；</p>
<p>2.不同地区的Consumer的客户端通过智能DNS就近接入对应的API网关；</p>
<p>3.Provider的应用服务通过高速通道交互数据。</p>
<p>这套架构让整个数据通道没有瓶颈点，用户和接入层API网关之间非常近，网关和Provider的应用服务、RDS等云存储在同一个Region内，都属于内网通信 ，也会很快。两个Region之间的通信通过阿里云的高速通道来完成，也将得到通信速度的保证。</p>
<p>我们把重点放在前端，具体在阿里云上如何配置才能让Consumer的客户端能够找到离他最近的API网关来接入呢。</p>
<p>下面我总结下配置的步骤给大家参考：</p>
<p>1.Provider在各个Region内的API网关上发布API的时候，会建立API分组来管理这些API，每个分组都会有一个阿里云分配的子二级域名，我们可以在分组的详细信息页看到这个二级域名：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJhMDBkOTQ0ZDczMDlmYzVkNWQ3MjkxMmRjMTE4MmI3MmI3M2M0ZDAucG5n.jpg"></p>
<p>这样我们在每个Region会得到一个二级域名。</p>
<p>2.Provider对Consumer的客户端提供统一的域名，域名为api.abc.com，可以在阿里云的域名解析内这样配置：通过解析线路的不同，将海外解析线路的记录值修改为海外Region的Group的二级域名的值，然后默认的设置为国内Region的值。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzgyNDY4NzRhZjNhNTA5MWY1NTE3YTAwYWIzODFkMDM4MWVmZjg1MmMucG5n.jpg"></p>
<p>Provider设置完成后，一般十分钟后DNS就生效了，国外用户的的请求就都发送到国外的API网关了，国内的请求仍然发送到默认的国内API网关。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 21:24:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/dns/" title="dns">dns</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%ad%98%e5%82%a8/" title="云存储">云存储</a>, <a href="https://www.iamivan.net/tag/consumer/" title="Consumer">Consumer</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d%e8%a7%a3%e6%9e%90/" title="域名解析">域名解析</a>, <a href="https://www.iamivan.net/tag/%e6%99%ba%e8%83%bddns/" title="智能DNS">智能DNS</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%a4%96%e7%94%a8%e6%88%b7/" title="海外用户">海外用户</a>, <a href="https://www.iamivan.net/tag/api%e7%bd%91%e5%85%b3/" title="API网关">API网关</a>, <a href="https://www.iamivan.net/tag/%e5%b0%b1%e8%bf%91%e6%8e%a5%e5%85%a5/" title="就近接入">就近接入</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>API网关配合智能DNS实现海内外用户就近接入的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL89YM.html" rel="bookmark">配合智能DNS实现API海内外用户分流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着API经济的流行,一些受欢迎的API业务的调用者会越来越多,目前API网关上的Provider基本上只是在离其办公地点近的Region部署一套API,比如驻扎在北京的Provider,只是在阿里云的北京Region部署了一套自己的API,而他的海外用户调用这套API在网络上的耗时就会相对比较多. 目前API网关已经在国内外都部署了多个节点,对于海外用户的就近接入的技术方案创造良好的条件.目前API网关在国内的杭州,北京,上海 ,深圳,青岛,五个Region都部署了节点. API网关在国外的新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO29Y3p.html" rel="bookmark">大型网站用户定位技术&lpar;智能 DNS 和 IP 重定向&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其实这个文章叫大型网站用户定位技术,其实今天要讲的不是智能 DNS ,今天是要讲的智能 DNS 的问题,和一些网站对这个的处理,下面要讲的这个技术主要是针对比较大的文件,比如下载和视频之类.为什么要讲这个,主要是我的群中一些朋友吵着想了解一下.我答应了非常非常久了.直到现在才有时间给大家分享一下. 我们知道,现在很多网站的 GLSB 都是基于 DNS 来做.DNS 的解析流程如下.我们来看. 比如,我是北京的用户,我的 DNS 为 202.106.0.20.当我要打开 www.php-oa.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR30Ez.html" rel="bookmark">企业级API网关的设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.网关简介 1.1 API网关背景介绍 本文讲的是企业级API网关的设计,API Gateway(APIGW / API 网关),顾名思义,是出现在系统边界上的一个面向API的.串行集中式的强管控服务,这里的边界是企业IT系统的边界,主要起到隔离外部访问与内部系统的作用.在微服务概念的流行之前,API网关的实体就已经诞生了,例如银行.证券等领域常见的前置机系统,它也是解决访问认证.报文转换.访问统计等问题的. API网关的流行,源于近几年来,移动应用与企业间互联需求的兴起.移动应用.企业互联,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvv1R1M.html" rel="bookmark">一个创业公司的API网关落地实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HelloFresh是一家食品电商初创公司,用户根据选定的菜谱下单,HelloFresh把菜谱所需要的食材送至用户家中.来自HelloFresh的技术负责人ítalo Lelis在博客上分享了HelloFresh的API网关落地实践,本文为该博文的译文,并已获得原网站的翻译授权. HelloFresh的规模一直保持着增长的态势:我们的产品在持续改进,新的想法不断涌现出来,我们拥有完全自动化的供应链.持续的增长给我们带来了惊喜,同时也带来了技术方面的挑战. 在这篇文章里,我将会和大家分享我们的基础			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MygXVkz.html" rel="bookmark">HelloFresh迁移至新的API网关，实现微服务架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HelloFresh最近以零停机的方式将应用迁移到了一个新的API网关,其技术总监ítalo Lelis de Vietro在一篇文章中分享了他们所面临的挑战以及迁移的过程. 在这次迁移之前,HelloFresh已有的API是单体架构的.为了迁移至微服务架构并让微服务的创建更加简单,同时还要与他们的基础设施进行集成,他们构建了一个新的API网关,这个网关会涵盖已有的和新的服务.他们的基础设施已经有了一些组件,包括服务发现.基于Ansible的自动化以及广泛存在的日志和监控,这些组件都会让微服务更			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jWlob.html" rel="bookmark">什么是智能dns解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  智能DNS解析是针对目前电信和网通互联互通不畅的问题推出的一种DNS解决方案.具体实现是:把同样的域名如test.winiis.com的A记录分别设置指向网通和电信IP,当网通的客户访问时,智能DNS会自动判断访问者来路,并返回网通服务器的IP地址;电信的客户访问时会自动返回电信的IP地址. 这样,就可以避免网通的客户去访问电信的网络,以及电信的客户去访问网通的网络,很好的解决了客户跨网访问不畅的问题.当然亦可加入多IP,由智能DNS自动&quot;选路&quot;;相同的线路的IP地址可以做负载均衡			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGj2ap.html" rel="bookmark">Oray域名双线路智能DNS负载均衡</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是双线路智能DNS解析:(原理图如下): 双线路智能DNS解析是Oray针对目前电信与网通互联互通问题推出的一种DNS解决方案.具体实现的效果是:把同样的域名如www.oray.com,网通的客户访问会返回一个指向网通服务器的IP地址, 电信的客户访问会指向一个电信服务器的IP地址.通过这种方式,尽量避免网通的客户去访问电信的网络,以及电信的客户去访问网通的网络.(注:如果只有一个IP则无法使用智能DNS功能.) 例如: 访问www.skycn.com,出现的第一页面就是要选择对应的线路服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkGRr7p.html" rel="bookmark">告别繁荣缛节，阿里云资源编排支持API网关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云ROS的API 网关资源11月初正式上线,资源编排(ROS) 支持在模板中定义API 网关资源,助力用户快速.便捷管理发布自己的API.目前,阿里云ROS 产品免费提供给广大用户. 资源编排服务 (Resource Orchestration Service 简称 ROS) 是一款帮助阿里云用户简化云计算资源管理和自动化运维的服务.用户遵循 ROS 定义的模板规范,编写模板文件,在模板中定义所需云计算资源的集合及资源间的依赖关系.资源配置细节等,ROS 通过编排引擎自动完成所有资源的创建和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3xgAM.html" rel="bookmark">智能DNS使用与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想要获得更多的文章,可以关注我的微信ilanniweb 公司的业务现在已经扩展到海外,对外提供的统一接口都是通过域名来解析的,但是海外用户访问国内接口的话,你懂的,很慢的.为了提高域名解析的速度,打算使用智能DNS功能,来解决海外用户域名解析慢的问题. PS:以下所有实验,都是使用我的博客www.ilanni.com域名来进行的测试. 国内用户访问www.ilanni.com解析到121.40.187.200这个IP. 国外用户访问www.ilanni.com解析到47.88.30.33这个IP			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjoyNM.html" rel="bookmark" class="title">用WPS文字制作精美信纸</a>
					<div>
						  一份好看的信纸能令你的文字更加多姿多彩,一份合适的信纸能令你的文案更加专业.掌握以下三步,你也可以用WPS Office制作出自己独一无二的信纸! 第一步:设置文档并插入图片; 首先,新建空白文档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Olqb.html" rel="bookmark" class="title">Ajax：拥抱JSON，让XML走开</a>
					<div>
						ajax|js|xml Ajax(Asynchronous javascript and XML)说到底就是一种浏览器异步读取服务器上XML内容的技术.现在的技术凡是跟XML扯上关系,再加上个概念做幌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNJXyM.html" rel="bookmark" class="title">使用XML分解器</a>
					<div>
						xml   &lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvLq9z.html" rel="bookmark" class="title">关于Adodb&period;Stream的写数据库数据到客户端</a>
					<div>
						ado|stream|客户端|数据|数据库 这是一个从服务器数据库直接下数据到客户端文件的例子,文件名和扩展名可以根据需要随便写.new/temp.htm要求真实存在,其实没有什么作用,只是引导一下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwmvkM.html" rel="bookmark" class="title">提供前进、后退功能及其他JAVASCRIPT速成秘诀</a>
					<div>
						javascript|速成 通过了解下面的一些例子,并运用到你的WEB中,不久你马上成为JAVASCIPT的高手. 例(一).在页面加入当前时间 &lt; script language='JavaS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mD6p.html" rel="bookmark" class="title">SQL Server：安全设计从头起</a>
					<div>
						开发人员和管理人员通常不断地考虑程序安全问题的策略──添加安全措施不再是一个可以完全接收的方法.程序的安全问题必须从设计的开始就得考虑,并贯穿开发的整个过程.以后如果要开发一个SQL Server的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRW8qp.html" rel="bookmark" class="title">分享页面关键词优化的五个基本要点</a>
					<div>
						在平时做SEO的时候,我们的重点就是优化网站的关键词,只有关键词排名上去了,才会有好的流量以及转化率,但不能一味的进行外部优化而忽略了内部,关键词的内部页面优化也十分有必要,今天和大家分享页面关键词优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKBJAp.html" rel="bookmark" class="title">Windows XP系统开机蓝屏0X00000024错误怎么办</a>
					<div>
						  Windows XP系统开机蓝屏0X00000024错误怎么办?,具体情况为: 1.一开机就蓝屏 2.显示蓝屏代码0X00000024 3.用U盘进入XP系统,可以看到所有盘符,但是只有c盘进不去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaaAb.html" rel="bookmark" class="title">winform-数据库连接</a>
					<div>
						  1.启动服务:sql server 配置 2.windows验证进入sql server-安全-sa-改密码; 3.新建数据库booksystem; 4.public partial class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR92lp.html" rel="bookmark" class="title">Win8中移动鼠标出现轨迹的设置方法</a>
					<div>
						  1.首先,需要返回到win8系统的传统桌面位置,之后,同时按下Win8电脑键盘上的win+X快捷键打开电脑的快捷键菜单,然后在快捷菜单中点击进入到控制面板界面中. 2.在打开的控制面板界面中,依次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLe9p.html" rel="bookmark" class="title">win7桌面怎样快速设置便签</a>
					<div>
						  在电脑的桌面上设置一些快捷好用的便签十分的便利,在这里可以看到一些备忘的事情,比如今天需要做的事情,这样防止遗忘.这些便签其实在ghost win7上面都是有的,不过在使用的时候,便签有时候会不见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z425kNM.html" rel="bookmark" class="title">查看win7旗舰版系统详细信息的方法</a>
					<div>
						  1.登录win7旗舰版系统后,按组合键(win键+R)打开运行窗口,接着在对话框中输入&quot;slmgr.vbs -dlv&quot;,回车确认,如下图所示: 2.接下来会弹出一个窗口,我们可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o7J0b.html" rel="bookmark" class="title">Skype密码忘了怎么办？</a>
					<div>
						  这里以在 Skype 官网登录页面为例,在登录界面中点击&quot;忘记了密码&quot;链接,如图所示 接着请在页面中输入自己在注册 Skype 时的电子邮件地址,点击&quot;发送电子邮件& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7gK8M.html" rel="bookmark" class="title">cmd命令提示符大全：想成为电脑高手必学CMD命令大全</a>
					<div>
						  cmd命令提示符有哪些?对于想学DOD系统操作的朋友来说cmd命令提示符是不可或缺的.想成为电脑高手DOS系统也是必学的,下面绿茶小编为大家带来cmd命令提示符大全,希望对大家有所帮助. cmd命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJaOvp.html" rel="bookmark" class="title">DT观察 &vert; DT化进程持续展开：未来十年科技是什么样子？</a>
					<div>
						约100年前的1910年,有感于曼哈顿的灯火通明,美国意象派诗人埃兹拉-庞德这样赞颂新奇的电力:&quot;这就是文明诗一样的美景,因为我们已把星星摘了下来,终于遂了心愿&quot;.无数的热议.想象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QQv0p.html" rel="bookmark" class="title">数据库中表绑定到treeview控件</a>
					<div>
						问题描述 数据库中表绑定到treeview控件 如何在C++builder中把数据库&quot;sql&quot;中的一个表&quot;tb_CarType&quot;绑定到treeview控件上 以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamKvwb.html" rel="bookmark" class="title">急！C&plus;&plus;生成release文件时没出错，但到另一台电脑时点击运行没反应</a>
					<div>
						问题描述 急!C++生成release文件时没出错,但到另一台电脑时点击运行没反应 求大神指点,我用C++生成release,在属性中将配置和配置管理器都改成了release,然后我把release文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3a8vz.html" rel="bookmark" class="title">工行山东省分行加强客户信息安全保护</a>
					<div>
						当前,不法分子使用伪基站冒用银行.通信运营商等机构客服号码发送带有钓鱼网站网址的短信,窃取客户身份信息.账户.密码等,进而盗取客户账户资金的情况时有发生.为切实做好金融消费者权益保护,工行山东省分行积 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0mGkM.html" rel="bookmark" class="title">c&sol;c&plus;&plus;-运行结果：文件A不能打开。请高手赐教~~</a>
					<div>
						问题描述 运行结果:文件A不能打开.请高手赐教~~ 这又是神马问题,运行结果说:文件A带不开代码分享链接:http://www.manonggu.com/biancheng/147 解决方案 你确认有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDZGdz.html" rel="bookmark" class="title">WinForm如何实现试用2个月的思路？</a>
					<div>
						问题描述 最近开发一个WinForm软件,打算给用户试用2个月,用户不能联网,单机使用.如何控制软件仅能使用2个月的时间?假设用户会修改系统时间,注册表的前提下! 解决方案 解决方案二:不能联网每次启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnJLxM.html" rel="bookmark" class="title">ClojureScript 简单介绍</a>
					<div>
						这篇文章经过 Thomas Greco 和 Jérémy Heleine 的同行评议.感谢所有 SitePoint 的评议者们,是你们使 SitePoint 的内容如此的棒! 从几个月前起,越来越多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye8A4M.html" rel="bookmark" class="title">ns2 zbr算法 数据流量的问题</a>
					<div>
						问题描述 ns2 zbr算法 数据流量的问题 我在做zbr算法的仿真实验的时候,set rate__ 1kb 的时候编译通过,且结果符合预期. 但是在加大流量后会报错, segmentation fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBxrjz.html" rel="bookmark" class="title">亚马逊开实体店盈利能力几何</a>
					<div>
						纽约曼哈顿区将出现亚马逊的身影.在http://www.aliyun.com/zixun/aggregation/7858.html&quot;&gt;传统零售巨头沃尔玛发力全渠道战略,向线上进军后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJdRRp.html" rel="bookmark" class="title">提供lotus安装全套&comma;R5R6R7服务器的客户端设计端管理端</a>
					<div>
						问题描述 正宗无限制版,中英文.还有:R6 中文设计帮助手册(PDF)R5B/S设计中文帮助手册PDFIBMLotusDomino7系统管理.pdf以上内容均中文,清晰易懂.总之,需要lotus方面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRWdop.html" rel="bookmark" class="title">c 病毒木马-怎样学习用C编写病毒木马？</a>
					<div>
						问题描述 怎样学习用C编写病毒木马? 深入学习了C,但是还是不会实际应用......以后想走网络安全方向,想先学习一下怎么用C写病毒木马一类,可是折腾了好久还是没有找到一门合适的入门书籍或者教程,苦于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEORvM.html" rel="bookmark" class="title">《老公看你的》小周笔畅来挑战痴情老公疯狂恋</a>
					<div>
						乐嘉嘟嘴 新浪娱乐讯 江苏卫视夫妻默契博弈挑战秀&lt;老公看你的&gt;今晚&quot;小周笔畅&quot;前来挑战,家境优越.名校博士毕业的出身让她成为众人眼中的&quot;女性精英&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKJ5kz.html" rel="bookmark" class="title">利用ps制作经典LOMO风格的非主流图片效果&lpar;1&sol;3&rpar;</a>
					<div>
						Lomo是非主流中较为经典的效果.处理方法有很多,不过需要把握好Lomo的要点.图片不需要清晰,画面有种朦胧的感觉,并且有明显的暗角等. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开照片, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44X58z.html" rel="bookmark" class="title">Android开发中比较耗时的一些操作小结&lowbar;Android</a>
					<div>
						在Android软件开发过程中,经常遇到耗时操作.为了使手机app运行流畅,耗时操作需要在新的一个线程中完成.那么,Android手机应用开发中,耗时操作有哪些呢?下面来总结一下. 1.下载文件操作  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVxm7z.html" rel="bookmark" class="title">求asp&period;net做的网上答疑系统或论坛</a>
					<div>
						问题描述 求asp.net做的网上答疑系统或论坛有文档更好喽!! 解决方案 解决方案二:你到找,有很多滴解决方案三:简单点的嘛其实就是一个留言板,论坛是加强版本的留言板.解决方案四:http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkqWJM.html" rel="bookmark" class="title">每月21000美元，你就可以得到影子经纪人组织放出的0day</a>
					<div>
						本文讲的是每月21000美元,你就可以得到影子经纪人组织放出的0day,影子经纪人组织相信大家已经熟悉了,他们将NSA的工具全部窃取,面向公共放出0day,间接导致wannaCry勒索软件肆虐全球.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
